'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _server = require('./server');

var _server2 = _interopRequireDefault(_server);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  command: {
    name: 'preview',
    description: '启动 wormhole 预览服务',
    options: [['-H, --host [host]', 'set preview host', 'localhost'], ['-p, --previewUrl [previewUrl]', 'set previewUrl']],
    action: function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(prog) {
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _logger2.default.setDebug(prog.parent.debug);
                _logger2.default.start();
                if (!prog.projectTapConfFile) {
                  prog.projectTapConfFile = {};
                }

                prog.projectTapConfFile.preview = prog.projectTapConfFile.preview || {};

                prog.projectTapConfFile.preview.host = prog.host;

                prog.projectTapConfFile.preview.previewUrl = prog.previewUrl || prog.projectTapConfFile.preview.previewUrl;

                _context.prev = 6;
                _context.next = 9;
                return (0, _server2.default)(prog.projectTapConfFile.preview);

              case 9:

                _logger2.default.info('预览服务启动成功');
                _context.next = 15;
                break;

              case 12:
                _context.prev = 12;
                _context.t0 = _context['catch'](6);

                _logger2.default.error(_context.t0);

              case 15:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, undefined, [[6, 12]]);
      }));

      return function action(_x) {
        return _ref.apply(this, arguments);
      };
    }()
  }
};
module.exports = exports['default'];