'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _home = require('./home');

var _home2 = _interopRequireDefault(_home);

var _preview = require('./preview');

var _preview2 = _interopRequireDefault(_preview);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
    var cfg = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var root, preview, home;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            root = process.cwd();

            _logger2.default.info('模块加载根路径: ' + root);

            preview = new _preview2.default(cfg);
            _context.next = 5;
            return preview.listen(cfg.port);

          case 5:
            home = new _home2.default(cfg);
            _context.next = 8;
            return home.start();

          case 8:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function () {
    return _ref.apply(this, arguments);
  };
}();

// module.exports = co.wrap(function* bootstrap(cfg) {
//   let root = process.cwd();
//   logger.info('模块加载根路径: ' + root);
//
//   let preview = new Preview();
//   yield preview.listen(cfg.port);
//
//   let home = new HomePage(cfg);
//   yield home.start();
// });


module.exports = exports['default'];